@font-face
  font-family OpenSans-Regular
  src url('~static/fonts/OpenSans/OpenSans-Regular.ttf')

/* Base blocks */

html
  font-family OpenSans-Regular, sans-serif
  font-size $font-size-base
  line-height $line-height-base
  -ms-text-size-adjust 100%
  -webkit-text-size-adjust 100%

body
  margin 0

html
body
  height 100%

article
aside
footer
header
nav
section
figcaption
figure
main
details
menu
  display block

summary
  display list-item

template
[hidden]
  display none

figure
  margin 1rem 40px

hr
  box-sizing content-box
  height 0
  overflow visible

/* Headers */

h1
  font-size 2rem
  margin 0.5rem 0

h2
  font-size 1.8rem
  margin 0.5rem 0

h3
  font-size 1.6rem
  margin 0.5rem 0

h4
  font-size 1.4rem
  margin 0.5rem 0

h5
  font-size 1.2rem
  margin 0.5rem 0

h6
  font-size 1rem
  margin 0.5rem 0


/* Text blocks */

code
kbd
samp
pre
  font-family monospace, monospace
  font-size 1rem

a
  background-color transparent
  -webkit-text-decoration-skip objects
  &:active
  &:hover
    outline-width 0

abbr[title]
  border-bottom none
  text-decoration underline dotted

b
strong
  font-weight bolder

dfn
  font-style italic

mark
  background-color $color-warning
  color $color-black

small
  font-size 0.5em

sub
sup
  font-size 0.5em
  line-height 0
  position relative
  vertical-align baseline

sub
  bottom -0.25em

sup
  top -0.5em


/* Media elements */

audio
video
canvas
  display inline-block

audio:not([controls])
  display none
  height 0

img
  border-style: none

svg:not(:root)
  overflow hidden


/* Forms */

button
input
optgroup
select
textarea
  font-family sans-serif
  font-size 1rem
  line-height $line-height-base
  margin 0

button
input
  overflow visible

button
select
  text-transform none

button
[type="button"]
[type="reset"]
[type="submit"]
  -webkit-appearance button
  &::-moz-focus-inner
    border-style none
    padding 0
  &:-moz-focusring
    outline: 1px dotted ButtonText

fieldset
  border 1px solid #c0c0c0
  margin 0 2px
  padding 0.35rem 0.625rem 0.75rem

legend
  box-sizing border-box
  color inherit
  display table
  max-width 100%
  padding 0
  white-space normal

textarea
  overflow auto

[type="checkbox"]
[type="radio"]
  box-sizing border-box
  padding 0

[type="number"]
  &::-webkit-inner-spin-button
  &::-webkit-outer-spin-button
    height auto

[type="search"]
  -webkit-appearance textfield
  outline-offset -2px
  &::-webkit-search-cancel-button
  &::-webkit-search-decoration
      -webkit-appearance none

::-webkit-file-upload-button
  -webkit-appearance button
  font inherit
